Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class TypeDeclarationStatement

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.Statement
              org.eclipse.jdt.core.dom.TypeDeclarationStatement

public class TypeDeclarationStatement
extends Statement

Local type declaration statement AST node type.

This kind of node is used to convert a type declaration node into a statement node by wrapping it.

For JLS2:

     TypeDeclarationStatement:
        TypeDeclaration

For JLS3, the kinds of type declarations grew to include enum and annotation type declarations:

     TypeDeclarationStatement:
        TypeDeclaration
        EnumDeclaration
        AnnotationTypeDeclaration

Since:
  2.0

Field Summary
`static ChildPropertyDescriptor` | `DECLARATION_PROPERTY` The "declaration" structural property of this node type (added in JLS3 API).
`static ChildPropertyDescriptor` | `TYPE_DECLARATION_PROPERTY` The "typeDeclaration" structural property of this node type (JLS2 API only).

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`AbstractTypeDeclaration` | `getDeclaration()` Returns the abstract type declaration of this local type declaration statement (JLS2 API only).
`TypeDeclaration` | `getTypeDeclaration()` Returns the type declaration of this local type declaration statement (added in JLS3 API).
`static List` | `propertyDescriptors(int apiLevel)` Returns a list of structural property descriptors for this node type.
`ITypeBinding` | `resolveBinding()` Resolves and returns the binding for the class or interface declared in this type declaration statement.
`void` | `setDeclaration(AbstractTypeDeclaration decl)` Sets the abstract type declaration of this local type declaration statement (JLS2 API only).
`void` | `setTypeDeclaration(TypeDeclaration decl)` Sets the type declaration of this local type declaration statement (added in JLS3 API).

Methods inherited from class org.eclipse.jdt.core.dom.Statement
`getLeadingComment, setLeadingComment`

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_DECLARATION_PROPERTY

    public static final ChildPropertyDescriptor TYPE_DECLARATION_PROPERTY

  The "typeDeclaration" structural property of this node type (JLS2 API only).

  Since:
    3.0

### DECLARATION_PROPERTY

    public static final ChildPropertyDescriptor DECLARATION_PROPERTY

  The "declaration" structural property of this node type (added in JLS3 API).

  Since:
    3.0

Method Detail

### propertyDescriptors

    public static List propertyDescriptors(int apiLevel)

  Returns a list of structural property descriptors for this node type. Clients must not modify the result.

  Parameters:
    `apiLevel` - the API level; one of the `AST.JLS*` constants
  Returns:
    a list of property descriptors (element type: `StructuralPropertyDescriptor`)
  Since:
    3.0

### getDeclaration

    public AbstractTypeDeclaration getDeclaration()

  Returns the abstract type declaration of this local type declaration statement (JLS2 API only).

  Returns:
    the type declaration node
  Since:
    3.0

### setDeclaration

    public void setDeclaration(AbstractTypeDeclaration decl)

  Sets the abstract type declaration of this local type declaration statement (JLS2 API only).

  Parameters:
    `decl` - the type declaration node
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent
    - a cycle in would be created
  Since:
    3.0

### getTypeDeclaration

    public TypeDeclaration getTypeDeclaration()

  Returns the type declaration of this local type declaration statement (added in JLS3 API).

  Returns:
    the type declaration node
  Throws:
    `UnsupportedOperationException` - if this operation is used in an AST later than JLS2

### setTypeDeclaration

    public void setTypeDeclaration(TypeDeclaration decl)

  Sets the type declaration of this local type declaration statement (added in JLS3 API).

  Parameters:
    `decl` - the type declaration node
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent
    - a cycle in would be created
    `UnsupportedOperationException` - if this operation is used in an AST later than JLS2

### resolveBinding

    public ITypeBinding resolveBinding()

  Resolves and returns the binding for the class or interface declared in this type declaration statement.

  Note that bindings are generally unavailable unless requested when the AST is being built.

  Returns:
    the binding, or `null` if the binding cannot be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.